> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Drop a PostgreSQL replication slot

> Drops a PostgreSQL replication slot that is inactive or orphaned. Use this to clean up stale replication slots that may be preventing WAL cleanup on the source.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/{uuid}/postgres-drop-replication-slot
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}/postgres-drop-replication-slot:
    post:
      tags:
        - Connectors
      summary: Drop a PostgreSQL replication slot
      description: >-
        Drops a PostgreSQL replication slot that is inactive or orphaned. Use
        this to clean up stale replication slots that may be preventing WAL
        cleanup on the source.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterConnectorDropReplicationSlotRequest'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterConnectorDropReplicationSlotRequest:
      properties:
        slotName:
          type: string
      required:
        - slotName
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````